List workspace roles by collaborator
1 min
GET
https://api.app.kognic.com/v1/workspace-collaborator-roles
Query Parameters
- workspaceIdstring<uuid>requiredFormatuuid
Responses
200
- Enveloped_Seq_WorkspaceRolesForCollaborator
- dataWorkspaceRolesForCollaborator[]
- organizationIdinteger<int64>requiredFormatint64
- rolesWorkspaceRole[]
400
- BadRequest
- errorCodestring
- messagestringrequired
401
- Unauthorized
- messagestringrequired
403
- Forbidden
- messagestringrequired
404
- NotFound
- messagestringrequired
python
import requests
import json
url = "https://api.app.kognic.com/v1/workspace-collaborator-roles?workspaceId=string<uuid>"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
{
"data": [
{
"organizationId": "",
"roles": [
""
]
}
]
}400
// Bad request
{
"errorCode": "",
"message": ""
}401
// Unauthorized
{
"message": ""
}403
// Forbidden
{
"message": ""
}404
// Not found
{
"message": ""
}